# Update employee **PATCH /employers/{employerId}/employees/{employeeId}** Update an employee's information. This can be used to mark them as a leaver. Note that once marked as a leaver the employee record will no longer be accessible under the employer. ## Servers - Production: https://partner-api.getpenfold.com/v1 (Production) - Staging: https://partner-api.getpenfold.dev/v1 (Staging) ## Authentication methods - Bearer auth ## Parameters ### Path parameters - **employerId** (string(uuid)) Penfold employer UUID - **employeeId** (string) Unique identifier for the employee ### Body: application/json (object) - **exitDate** (string(date)) Date the employee's employment ended, in YYYY-MM-DD format. ## Responses ### 204 Successfully updated the employee's information. ### 400 Request body failed validation #### Body: application/json (object) - **error** (string) A descriptive error message. - **validationErrors** (array[object]) ### 401 Missing or invalid authentication token #### Body: application/json (object) - **error** (string) ### 404 Resource not found #### Body: application/json (object) - **error** (string) ### 500 Internal server error #### Body: application/json (object) - **error** (string) [Powered by Bump.sh](https://bump.sh)